Zoekopdracht Ophalen
curl --request GET \
--url https://api.olostep.com/v1/searches/{search_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.olostep.com/v1/searches/{search_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.olostep.com/v1/searches/{search_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.olostep.com/v1/searches/{search_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.olostep.com/v1/searches/{search_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.olostep.com/v1/searches/{search_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.olostep.com/v1/searches/{search_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"object": "<string>",
"created": 123,
"metadata": {},
"query": "<string>",
"credits_consumed": 123,
"result": {
"json_content": "<string>",
"json_hosted_url": "<string>",
"links": [
{
"url": "<string>",
"title": "<string>",
"description": "<string>",
"markdown_content": "<string>",
"html_content": "<string>"
}
],
"size_exceeded": true,
"credits_consumed": 123
}
}Zoeken
Zoekopdracht Ophalen
Haal een eerder voltooide zoekopdracht op via zijn ID. Retourneert alles wat op het moment van zoeken is opgeslagen, inclusief eventuele gescrapete inhoud per link. Pure idempotente leesactie — geen her-scrapen, geen her-facturering.
GET
/
v1
/
searches
/
{search_id}
Zoekopdracht Ophalen
curl --request GET \
--url https://api.olostep.com/v1/searches/{search_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.olostep.com/v1/searches/{search_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.olostep.com/v1/searches/{search_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.olostep.com/v1/searches/{search_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.olostep.com/v1/searches/{search_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.olostep.com/v1/searches/{search_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.olostep.com/v1/searches/{search_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"object": "<string>",
"created": 123,
"metadata": {},
"query": "<string>",
"credits_consumed": 123,
"result": {
"json_content": "<string>",
"json_hosted_url": "<string>",
"links": [
{
"url": "<string>",
"title": "<string>",
"description": "<string>",
"markdown_content": "<string>",
"html_content": "<string>"
}
],
"size_exceeded": true,
"credits_consumed": 123
}
}Autorisaties
Bearer authenticatie header in de vorm Bearer , waar jouw auth token is.
Padparameters
Unieke identificatie voor de zoekopdracht die moet worden opgehaald.
Respons
Succesvolle respons met het zoekobject.
Was deze pagina nuttig?